Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-XC_ARCHER.fcm
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 6808)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -57,2 +59,5 @@
 #USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 #USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 6808)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -31,5 +33,5 @@
 %NCDF_HOME           $NETCDF_DIR
 %HDF5_HOME           $HDF5_DIR
-%XIOS_HOME           /work/n01/n01/acc/XIOS_r484
+%XIOS_HOME           /work/n01/n01/jdha/ST/xios-1.0
 #OASIS_HOME          
 
@@ -43,6 +45,6 @@
 %CPP	             cpp
 %FC                  ftn
-%FCFLAGS             -integer-size 32 -real-size 64 -O3 -fp-model source -zero -fpp -warn all
-%FFLAGS              -integer-size 32 -real-size 64 -O3 -fp-model source -zero -fpp -warn all
+%FCFLAGS             -integer-size 32 -real-size 64 -O0 -g -fp-model source -zero -fpp -warn all
+%FFLAGS              -integer-size 32 -real-size 64 -O0 -g -fp-model source -zero -fpp -warn all
 %LD                  CC -Wl,"--allow-multiple-definition"
 %FPPFLAGS            -P -C -traditional
@@ -51,6 +53,11 @@
 %ARFLAGS             -r
 %MK                  gmake
+#%USER_INC             %NCDF_INC
+#%USER_LIB             %NCDF_LIB
 %USER_INC            %XIOS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB
 #USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 #USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-macport_osx.fcm
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 6808)
@@ -33,4 +33,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -62,2 +64,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 6808)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 # debug: -g  -check bounds -check uninit -check pointers -traceback
 
@@ -31,2 +33,5 @@
 %USER_INC            -I$XIOS_INC %NCDF_INC
 %USER_LIB            -L$XIOS_LIB -lxios %NCDF_LIB -lstdc++
+
+%CC                  cc
+%CFLAGS              -O0
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6808)
@@ -14,6 +14,7 @@
    cn_ocerst_in   = "amm12_restart_oce"   !  suffix of ocean restart name (input)
    cn_ocerst_out  = "restart_oce_out"   !  suffix of ocean restart name (input)
-   nn_stock    =    1296   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_stock    =    820   !  frequency of creation of a restart file (modulo referenced to 1)
    nn_write    =     144   !  frequency of write in the output file   (modulo referenced to nit000) 
+   ln_clobber  = .true.   !  clobber (overwrite) an existing file
 /
 !-----------------------------------------------------------------------
@@ -34,6 +35,5 @@
 &namzgr        !   vertical coordinate
 !-----------------------------------------------------------------------
-   ln_zps      = .false.   !  z-coordinate - partial steps   (T/F)
-   ln_sco      = .true.    !  s- or hybrid z-s-coordinate    (T/F)
+   ln_sco      = .true.    !  s- or hybrid z-s-coordinate
 /
 !-----------------------------------------------------------------------
@@ -50,7 +50,4 @@
 !-----------------------------------------------------------------------
    rn_rdt      =   600.    !  time step for the dynamics (and tracer if nn_acc=0)
-   rn_rdtmin   =   600.          !  minimum time step on tracers (used if nn_acc=1)
-   rn_rdtmax   =   600.          !  maximum time step on tracers (used if nn_acc=1)
-   rn_rdth     =   600.          !  depth variation of tracer time step  (used if nn_acc=1)
    ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
    ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
@@ -72,11 +69,4 @@
 /
 !-----------------------------------------------------------------------
-&namsplit      !   time splitting parameters                            ("key_dynspg_ts")
-!-----------------------------------------------------------------------
-   ln_bt_nn_auto =    .FALSE.          !  Set nn_baro automatically to be just below
-                                       !  a user defined maximum courant number (rn_bt_cmax)
-   nn_baro       =    30               !  Number of iterations of barotropic mode
-/
-!-----------------------------------------------------------------------
 &namcrs        !   Grid coarsening for dynamics output and/or
                !   passive tracer coarsened online simulations
@@ -100,4 +90,5 @@
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
    ln_apr_dyn  = .false.    !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
+   ln_traqsr   = .false.   !  Light penetration (T) or not (F)
 
 /
@@ -137,5 +128,4 @@
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
-   ln_traqsr   = .false.   !  Light penetration (T) or not (F)
    nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
 /
@@ -194,12 +184,4 @@
    rn_shlat    =     0     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
                            !  free slip  !   partial slip  !   no slip   ! strong slip
-/
-!-----------------------------------------------------------------------
-&namcla        !   cross land advection
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namobc        !   open boundaries parameters                           ("key_obc")
-!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
@@ -231,4 +213,7 @@
     cn_dyn2d       = 'flather'
     nn_dyn2d_dta   =  3
+    cn_dyn3d      =  'neumann'               !
+    nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
     cn_tra         =  'frs'
     nn_tra_dta    =   1 
@@ -265,7 +250,6 @@
 /
 !-----------------------------------------------------------------------
-&nambbc        !   bottom temperature boundary condition
-!-----------------------------------------------------------------------
-   ln_trabbc   = .false.   !  Apply a geothermal heating at the ocean bottom
+&nambbc        !   bottom temperature boundary condition                (default: NO)
+!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
@@ -281,4 +265,9 @@
 &namtra_adv    !   advection scheme for tracer
 !-----------------------------------------------------------------------
+   ln_traadv_fct =  .true.   !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+      nn_fct_zts =  0               !  >=1,  2nd order FCT scheme with vertical sub-timestepping
+      !                             !        (number of sub-timestep = nn_fct_zts)
 /
 !-----------------------------------------------------------------------
@@ -289,8 +278,36 @@
 &namtra_ldf    !   lateral diffusion scheme for tracers
 !----------------------------------------------------------------------------------
-   ln_traldf_hor    =  .true.   !  horizontal (geopotential)   (needs "key_ldfslp" when ln_sco=T)
-   ln_traldf_iso    =  .false.  !  iso-neutral                 (needs "key_ldfslp")
-   rn_aeiv_0        =     0.    !  eddy induced velocity coefficient [m2/s]
-   rn_aht_0         =    50.    !  horizontal eddy diffusivity for tracers [m2/s]
+   !                       !  Operator type:
+   ln_traldf_lap   =  .true.   !    laplacian operator
+   ln_traldf_blp   =  .false.  !  bilaplacian operator
+   !                       !  Direction of action:
+   ln_traldf_lev   =  .false.  !  iso-level
+   ln_traldf_hor   =  .true.   !  horizontal (geopotential)
+   ln_traldf_iso   =  .false.  !  iso-neutral
+   ln_traldf_triad =  .false.  !  iso-neutral using Griffies triads
+   !
+   !		       	         !  iso-neutral options:        
+   ln_traldf_msc   =  .true.   !  Method of Stabilizing Correction (both operators)
+   rn_slpmax       =   0.01    !  slope limit                      (both operators)
+   ln_triad_iso    =  .false.  !  pure horizontal mixing in ML     (triad only)
+   rn_sw_triad     =  1        !  =1 switching triad ; =0 all 4 triads used (triad only)
+   ln_botmix_triad =  .false.  !  lateral mixing on bottom         (triad only)
+   !
+   !                       !  Coefficients:
+   nn_aht_ijk_t    = 0         !  space/time variation of eddy coef
+   !                                !   =-20 (=-30)    read in eddy_diffusivity_2D.nc (..._3D.nc) file
+   !                                !   =  0           constant 
+   !                                !   = 10 F(k)      =ldf_c1d 
+   !                                !   = 20 F(i,j)    =ldf_c2d 
+   !                                !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
+   !                                !   = 30 F(i,j,k)  =ldf_c2d + ldf_c1d
+   !                                !   = 31 F(i,j,k,t)=F(local velocity)
+   rn_aht_0        =   50.     !  lateral eddy diffusivity   (lap. operator) [m2/s]
+   rn_bht_0        = 1.e+12    !  lateral eddy diffusivity (bilap. operator) [m4/s]
+/
+!----------------------------------------------------------------------------------
+&namtra_ldfeiv !   eddy induced velocity param.
+!----------------------------------------------------------------------------------
+   ln_ldfeiv     =.false.   ! use eddy induced velocity parameterization
 /
 !-----------------------------------------------------------------------
@@ -306,4 +323,9 @@
 &namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
+   ln_dynvor_ene = .false. !  enstrophy conserving scheme
+   ln_dynvor_ens = .false. !  energy conserving scheme
+   ln_dynvor_mix = .false. !  mixed scheme
+   ln_dynvor_een = .true.  !  energy & enstrophy scheme
+      nn_een_e3f = 1             !  e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
 /
 !-----------------------------------------------------------------------
@@ -314,22 +336,35 @@
 /
 !-----------------------------------------------------------------------
-!namdyn_spg    !   surface pressure gradient   (CPP key only)
-!-----------------------------------------------------------------------
-!                          !  explicit free surface                     ("key_dynspg_exp")
-!                          !  filtered free surface                     ("key_dynspg_flt")
-!                          !  split-explicit free surface               ("key_dynspg_ts")
-
+&namdyn_spg    !   surface pressure gradient 
+!-----------------------------------------------------------------------
+   ln_dynspg_ts = .true.    ! split-explicit free surface
+      ln_bt_auto    = .false.  ! Number of sub-step defined from:
+         nn_baro       = 30       ! =F : the number of sub-step in rn_rdt seconds
+/
 !-----------------------------------------------------------------------
 &namdyn_ldf    !   lateral diffusion on momentum
 !-----------------------------------------------------------------------
    !                       !  Type of the operator :
-   ln_dynldf_bilap  =  .true.   !  bilaplacian operator
-   ln_dynldf_lap    =  .false.  !  bilaplacian operator
+   !                           !  no diffusion: set ln_dynldf_lap=..._blp=F 
+   ln_dynldf_lap =  .false.    !    laplacian operator
+   ln_dynldf_blp =  .true.     !  bilaplacian operator
    !                       !  Direction of action  :
-   ln_dynldf_level  =  .true.   !  iso-level
-   ln_dynldf_hor    =  .false.  !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
-                           !  Coefficient
-   rn_ahm_0_lap     = 60.0      !  horizontal laplacian eddy viscosity   [m2/s]
-   rn_ahm_0_blp     = -1.0e+10  !  horizontal bilaplacian eddy viscosity [m4/s]
+   ln_dynldf_lev =  .true.     !  iso-level
+   ln_dynldf_hor =  .false.    !  horizontal (geopotential)
+   ln_dynldf_iso =  .false.    !  iso-neutral
+   !                       !  Coefficient
+   nn_ahm_ijk_t  = 0           !  space/time variation of eddy coef
+   !                                !  =-30  read in eddy_viscosity_3D.nc file
+   !                                !  =-20  read in eddy_viscosity_2D.nc file
+   !                                !  =  0  constant 
+   !                                !  = 10  F(k)=c1d
+   !                                !  = 20  F(i,j)=F(grid spacing)=c2d
+   !                                !  = 30  F(i,j,k)=c2d*c1d
+   !                                !  = 31  F(i,j,k)=F(grid spacing and local velocity)
+   rn_ahm_0      =     60.     !  horizontal laplacian eddy viscosity   [m2/s]
+   rn_ahm_b      =      0.     !  background eddy viscosity for ldf_iso [m2/s]
+   rn_bhm_0      = 1.0e+10     !  horizontal bilaplacian eddy viscosity [m4/s]
+   !
+   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
 /
 !-----------------------------------------------------------------------
@@ -349,8 +384,4 @@
 !-----------------------------------------------------------------------
 /
-!------------------------------------------------------------------------
-&namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionally:
-!------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
-/
 !-----------------------------------------------------------------------
 &namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
@@ -369,8 +400,4 @@
 /
 !-----------------------------------------------------------------------
-&namsol        !   elliptic solver / island / free surface
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
 !-----------------------------------------------------------------------
@@ -421,5 +448,12 @@
 /
 !-----------------------------------------------------------------------
-&namdyn_nept  !   Neptune effect (simplified: lateral and vertical diffusions removed)
-!-----------------------------------------------------------------------
-/
+&nam_diatmb  !  Top Middle Bottom Output
+!-----------------------------------------------------------------------
+   ln_diatmb  = .true.    !  Choose Top Middle and Bottom output or not
+/
+!-----------------------------------------------------------------------
+&nam_dia25h  !  25h Mean Output
+!-----------------------------------------------------------------------
+   ln_dia25h  = .true.    ! Choose 25h mean output or not
+/
+
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/AMM12/cpp_AMM12.fcm
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/AMM12/cpp_AMM12.fcm	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/AMM12/cpp_AMM12.fcm	(revision 6808)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys  key_bdy key_tide key_dynspg_ts key_ldfslp  key_zdfgls  key_vvl key_diainstant key_mpp_mpi key_iomput
+ bld::tool::fppkeys  key_bdy key_tide key_zdfgls key_diainstant key_mpp_mpi key_iomput
Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 6808)
@@ -30,4 +30,5 @@
 &namzgr        !   vertical coordinate
 !-----------------------------------------------------------------------
+   ln_zps      = .true.    !  z-coordinate - partial steps
 /
 !-----------------------------------------------------------------------
@@ -41,7 +42,5 @@
    rn_bathy    = 4198.     !  value of the bathymetry. if (=0) bottom flat at jpkm1
    nn_msh      =    0      !  create (=1) a mesh file or not (=0)
-   rn_rdt      =  360.     !  time step for the dynamics (and tracer if nn_acc=0)
-   rn_rdtmin   =  360.     !  minimum time step on tracers (used if nn_acc=1)
-   rn_rdtmax   =  360.     !  maximum time step on tracers (used if nn_acc=1)
+   rn_rdt      =  360.     !  time step for the dynamics 
    jphgr_msh   =       1                 !  type of horizontal mesh
    ppglam0     =    -150.0               !  longitude of first raw and column T-point (jphgr_msh = 1)
@@ -64,8 +63,4 @@
 /
 !-----------------------------------------------------------------------
-&namsplit      !   time splitting parameters                            ("key_dynspg_ts")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namcrs        !   Grid coarsening for dynamics output and/or
                !   passive tracer coarsened online simulations
@@ -141,4 +136,7 @@
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_chl      ='chlorophyll_PAPASTATION', -1    , 'CHLA'    ,   .true.     , .true. , 'yearly'  , ''       , ''       , ''
 /
 !-----------------------------------------------------------------------
@@ -172,12 +170,4 @@
 /
 !-----------------------------------------------------------------------
-&namcla        !   cross land advection
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namobc        !   open boundaries parameters                           ("key_obc")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namagrif      !  AGRIF zoom                                            ("key_agrif")
 !-----------------------------------------------------------------------
@@ -205,8 +195,6 @@
 /
 !-----------------------------------------------------------------------
-&nambbc        !   bottom temperature boundary condition
-!-----------------------------------------------------------------------
-   ln_trabbc   = .false.   !  Apply a geothermal heating at the ocean bottom
-   nn_geoflx   =    0      !  geothermal heat flux: = 0 no flux
+&nambbc        !   bottom temperature boundary condition                (default: NO)
+!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
@@ -226,4 +214,5 @@
 &namtra_adv    !   advection scheme for tracer
 !-----------------------------------------------------------------------
+! C1D : no advection scheme 
 /
 !-----------------------------------------------------------------------
@@ -231,12 +220,13 @@
 !-----------------------------------------------------------------------
 /
-!----------------------------------------------------------------------------------
+!-----------------------------------------------------------------------
 &namtra_ldf    !   lateral diffusion scheme for tracers
-!----------------------------------------------------------------------------------
-!----------------------------------------------------------------------------------
-   ln_traldf_hor    =  .true.   !  horizontal (geopotential)   (needs "key_ldfslp" when ln_sco=T)
-   ln_traldf_iso    =  .false.  !  iso-neutral                 (needs "key_ldfslp")
-   rn_aeiv_0        =     0.    !  eddy induced velocity coefficient [m2/s]
-   rn_aht_0         =     0.    !  horizontal eddy diffusivity for tracers [m2/s]
+!-----------------------------------------------------------------------
+! C1D : no lateral diffusion  
+/
+!-----------------------------------------------------------------------
+&namtra_ldfeiv !   eddy induced velocity param.
+!-----------------------------------------------------------------------
+! C1D : no eiv  
 /
 !-----------------------------------------------------------------------
@@ -248,4 +238,5 @@
 &namdyn_adv    !   formulation of the momentum advection
 !-----------------------------------------------------------------------
+! C1D : no advection scheme 
 /
 !-----------------------------------------------------------------------
@@ -266,6 +257,7 @@
 /
 !-----------------------------------------------------------------------
-!namdyn_spg    !   surface pressure gradient   (CPP key only)
-!-----------------------------------------------------------------------
+&namdyn_spg    !   surface pressure gradient                            (default: NO spg)
+!-----------------------------------------------------------------------
+/
 !-----------------------------------------------------------------------
 &namdyn_ldf    !   lateral diffusion on momentum
@@ -286,8 +278,4 @@
 !-----------------------------------------------------------------------
 /
-!------------------------------------------------------------------------
-&namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionally:
-!------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
-/
 !-----------------------------------------------------------------------
 &namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
@@ -302,11 +290,4 @@
 !-----------------------------------------------------------------------
    ln_tmx_itf  = .false.   !  ITF specific parameterisation
-/
-!-----------------------------------------------------------------------
-&namsol        !   elliptic solver / island / free surface
-!-----------------------------------------------------------------------
-   nn_solv     =      2    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
-   nn_nmin     =    210    !  minimum of iterations for the SOR solver
-   rn_sor      =  1.96     !  optimal coefficient for SOR solver (to be adjusted with the domain)
 /
 !-----------------------------------------------------------------------
@@ -358,7 +339,2 @@
 !-----------------------------------------------------------------------
 /
-!-----------------------------------------------------------------------
-&namdyn_nept  !   Neptune effect (simplified: lateral and vertical diffusions removed)
-!-----------------------------------------------------------------------
-   ln_neptramp       = .false.  ! ramp down Neptune velocity in shallow water
-/
